Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection.lettuce
Class AuthenticatingRedisClient

    java.lang.Object
      com.lambdaworks.redis.RedisClient
          org.springframework.data.redis.connection.lettuce.AuthenticatingRedisClient

    public class AuthenticatingRedisClient

extends com.lambdaworks.redis.RedisClient

Extension of `RedisClient` that calls auth on all new connections using the supplied credentials

Constructor Summary
`AuthenticatingRedisClient(String host, int port, String password)`
`AuthenticatingRedisClient(String host, String password)`

Method Summary
`
`<K,V> com.lambdaworks.redis.RedisConnection<K,V>`
` | `connect(com.lambdaworks.redis.codec.RedisCodec<K,V> codec)`
`
`<K,V> com.lambdaworks.redis.RedisAsyncConnection<K,V>`
` | `connectAsync(com.lambdaworks.redis.codec.RedisCodec<K,V> codec)`
`
`<K,V> com.lambdaworks.redis.pubsub.RedisPubSubConnection<K,V>`
` | `connectPubSub(com.lambdaworks.redis.codec.RedisCodec<K,V> codec)`

Methods inherited from class com.lambdaworks.redis.RedisClient
`connect, connectAsync, connectPubSub, setDefaultTimeout, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticatingRedisClient

    public AuthenticatingRedisClient(String host,
                                     int port,
                                     String password)

### AuthenticatingRedisClient

    public AuthenticatingRedisClient(String host,
                                     String password)

Method Detail

### connect

    public <K,V> com.lambdaworks.redis.RedisConnection<K,V> connect(com.lambdaworks.redis.codec.RedisCodec<K,V> codec)

  Overrides:
    `connect` in class `com.lambdaworks.redis.RedisClient`

### connectAsync

    public <K,V> com.lambdaworks.redis.RedisAsyncConnection<K,V> connectAsync(com.lambdaworks.redis.codec.RedisCodec<K,V> codec)

  Overrides:
    `connectAsync` in class `com.lambdaworks.redis.RedisClient`

### connectPubSub

    public <K,V> com.lambdaworks.redis.pubsub.RedisPubSubConnection<K,V> connectPubSub(com.lambdaworks.redis.codec.RedisCodec<K,V> codec)

  Overrides:
    `connectPubSub` in class `com.lambdaworks.redis.RedisClient`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD